Design Space Exploration - Feature #2959

Feature # 2935 (In Progress): MOEA-DSE Migration

Write ExplorationConstraint/-Objective evaluators parsing DSLv2 expressions
05/18/2017 11:38 AM - Alexander Diewald

Status: Rejected Start date: 05/18/2017
Priority: Normal Due date:

Assignee: Alexander Diewald % Done: 50%
Category: Estimated time: 0.00 hour
Target version: AF3 2.17 (Feature Freeze)

Description

Implement generic Evaluators for Objectives and Constraints specified as DSLv2 Expressions.

History

#1 - 11/28/2017 05:12 PM - Alexander Diewald
- Status changed from New to In Progress

- % Done changed from 0 to 50

Base classes are implemented in the exploration plugin.
Specializations are present in exploration.alg. It needs to be discussed if the generic Objective/Constraint evaluators should be placed in exploration
instead of exploration.alg.

#2 - 01/26/2018 10:32 AM - Anonymous

- Assignee set to Alexander Diewald

#3 - 02/19/2018 03:50 PM - Alexander Diewald
- Target version set to AF3 2.14 RC1 (Feature Freeze)

This issue includes a need to abstract the mapping-specifics. Hence, delay the complete resolution until after the release (Could also be done in the
meantime --> exploration.alg not yet in the official release).

#4 - 01/25/2019 05:31 PM - Alexander Diewald
- Target version changed from AF3 2.14 RC1 (Feature Freeze) to AF3 2.15 RC1 (Feature Freeze)

#5 - 05/13/2019 02:15 PM - Johannes Eder
- Target version changed from AF3 2.15 RC1 (Feature Freeze) to AF3 2.16 RC1 (Feature Freeze)

#6 - 09/30/2019 02:23 PM - Alexander Diewald
- Target version changed from AF3 2.16 RC1 (Feature Freeze) to AF3 2.17 (Feature Freeze)

#7 - 01/15/2020 04:25 PM - Alexander Diewald

- Status changed from In Progress to Rejected

This does not seem relevant.
